<div id="a">
    <div id="b">
    </div>
</div>
<script>
// should be in separate JS file . Its here for testing purpouse
    function appendChildren() {
        var allDivs = document.getElementsByTagName("div");

        for (var i = 0, l = allDivs.length; i < l; i++) {
            var newDiv = document.createElement("div");
            decorateDiv(newDiv);
            allDivs[i].appendChild(newDiv);
        }
    }

    // Mock of decorateDiv function for testing purposes
    function decorateDiv(div) {}
    appendChildren();
</script>
